#!/usr/bin/perl
###############################################################################
-# #
-# Name : whack_forever #
-# Author : Chris Koeritz #
-# Rights : Copyright (C) 1992-$now by Author #
-# #
-# Purpose: #
-# #
-# Zaps a list of files. This file exists since the default in the YETI #
-# shell environment is to compress files when deletion is attempted. Only #
-# the whack_forever command actually deletes the files for real. #
-# #
+#
+# Name : whackem, formerly whack_forever
+# Author : Chris Koeritz
+# Rights : Copyright (C) 1992-$now by Author
+#
+# Purpose:
+#
+# Zaps a list of files. This file exists since the default in the YETI
+# shell environment is to compress files when deletion is attempted. Only
+# the whack_forever command actually deletes the files for real.
+# To provide a safety rail, the script will actually do a short sleep
+# before beginning to delete any files. This gives the user a chance to
+# interrupt the script if they made a mistake.
+# If the environment variable WHACKEM_NO_SLEEPING is non-empty, then the
+# script will skip the snoozing before the deletions.
+#
###############################################################################
# This program is free software; you can redistribute it and/or modify it #
# under the terms of the GNU General Public License as published by the Free #
require "filename_helper.pl";
+use Env qw(WHACKEM_NO_SLEEPING);
+
sub interrupt_handler {
# skip doing any deletions.
print "\nbailing out due to interrupt. not doing any remaining deletions.\n";
if (scalar(@whackers) > 0) {
print "ZAPPING FOREVER! @whackers ...\n";
- system("sleep 4") == 0 || &interrupt_handler;
- print "\nReally deleting files! => @whackers\n";
+ # if we don't see our no sleeping flag, then we sleep a bit.
+ if ($WHACKEM_NO_SLEEPING eq "") {
+ system("sleep 4") == 0 || &interrupt_handler;
+ print "\nReally deleting files! => @whackers\n";
+ }
}
-
foreach $i (@whackers) {
if (-l $i) {
unlink($i) || print "failed to unlink $i\n";
sep
echo "Cleaning up feisty meow generated files..."
+# first, we check to make sure our expected storage directory exists.
+if [ ! -d $FEISTY_MEOW_GENERATED_STORE ]; then
+ echo "
+Problem seen during minimize--there is no generated store directory.
+\$FEISTY_MEOW_GENERATED_STORE = '$FEISTY_MEOW_GENERATED_STORE'
+"
+ exit 1
+fi
+
pushd $FEISTY_MEOW_GENERATED_STORE
-rm -rf logs clam_tmp temporaries/*
+# setting this flag to anything skips the sleep in the whackem script.
+export WHACKEM_NO_SLEEPING=stayawake
-pushd runtime
+whackem -rf logs clam_tmp temporaries/[a-zA-Z0-9]*
-rm -rf install/*
+if [ -d runtime ]; then
+ pushd runtime
-pushd binaries
+ whackem -rf install/[a-zA-Z0-9]*
-rm -rf *.a *.library test_*
+ if [ -d binaries ]; then
+ pushd binaries
+ whackem -rf *.a *.library test_*
+ popd
+ fi
+
+ popd
+fi
-popd
-popd
popd
echo "Finished with feisty meow generated file cleaning."